package com.xxl.job.executor.jobhandler;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.executor.common.entity.CtopOauthToken;
import com.xxl.job.executor.common.entity.UserAllocation;
import com.xxl.job.executor.common.service.IUserAllocationService;
import com.xxl.job.executor.report.entity.BytedancePlanDailyReport;
import com.xxl.job.executor.report.service.IBytedancePlanDailyReportService;
import com.xxl.job.executor.utils.CtopAdConstant;
import com.xxl.job.executor.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Component
public class BytedancePlanDailyReportETLJob {
    @Autowired
    private IBytedancePlanDailyReportService planDailyReportService;
    @XxlJob("bytedancePlanDailyReportETLJob")
    public void execute() {
        Date getDate = DateUtils.addDay(new Date(), -1);
        planDailyReportService.cleanChannelCodeData(112, getDate);
        planDailyReportService.cleanChannelCodeData(113, getDate);
        planDailyReportService.cleanChannelCodeData(222, getDate);
        planDailyReportService.cleanYzData(151);
        planDailyReportService.cleanChannelCodeData(235, getDate);
        planDailyReportService.cleanChannelCodeData(270, getDate);
    }
}
